Module jdk.compiler
Package com.sun.source.tree

## Interface TypeParameterTree

All Superinterfaces:
  Tree

    public interface TypeParameterTree
    extends Tree

A tree node for a type parameter. For example:

       name

       name extends bounds

       annotations name

Since:
  1.6
See The Java™ Language Specification:
  section 4.4

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<? extends AnnotationTree>` `getAnnotations()` Returns annotations on the type parameter declaration.
`List<? extends Tree>` `getBounds()` Returns the bounds of the type parameter.
`Name` `getName()` Returns the name of the type parameter.

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getName

    Name getName()

Returns the name of the type parameter.

Returns:
  the name

#### getBounds

    List<? extends Tree> getBounds()

Returns the bounds of the type parameter.

Returns:
  the bounds

#### getAnnotations

    List<? extends AnnotationTree> getAnnotations()

Returns annotations on the type parameter declaration. Annotations need Target meta-annotations of `ElementType.TYPE_PARAMETER` or `ElementType.TYPE_USE` to appear in this position.

Returns:
  annotations on the type parameter declaration
Since:
  1.8